Subject: [Mitbadminton] badminton tomorrow 4-6pm

From: YU PU <[email-masked]>
Date: Fri, 11 Nov 2005 14:46:36 -0500

Dear all,

    I reserved North courts from 4pm to 6pm tomorrow. Also since MIT 
badminton club has its regular activity every Sunday afternoon from 
1-4pm, I'll try to add one more activity for our CSSA badminton club 
on Sunday from 11am -1pm so that we can have a good chance to mingle 
with them. I'll keep you updated once I make the reservation.

    Have fun!

Thanks,
Yu
Yu Pu, Ph.D candidate
Department of Chemical Engineering
MIT, Cambridge

Office: 56-454
Ph: 617-253-0470 (O)
Group website: http://web.mit.edu/clcgroup